Loading...
Searching...
No Matches
rtti.h File Reference
`#include <BALL/CONFIG/config.h>`
`#include <BALL/common.h>`
`#include <string>`
`#include <typeinfo>`

Go to the source code of this file.

## Namespaces

namespace | BALL
namespace | BALL::RTTI

## Functions

BALL_EXPORT string | BALL::streamClassName (const std::type_info &t)
template<typename T>
const T & | BALL::RTTI::getDefault ()
template<typename T>
void * | BALL::RTTI::getNew ()
template<typename T>
const char * | BALL::RTTI::getName ()
template<typename T>
void * | BALL::RTTI::getClassID ()
template<typename T>
const char * | BALL::RTTI::getStreamName ()
template<typename T, typename U>
bool | BALL::RTTI::isKindOf (const U *u)
template<typename T, typename U>
T * | BALL::RTTI::castTo (const U &u)
template<typename T, typename U>
bool | BALL::RTTI::isInstanceOf (const U &u)